Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class V3TBSCertificateGenerator

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.V3TBSCertificateGenerator

public class V3TBSCertificateGenerator
extends java.lang.Object

Generator for Version 3 TBSCertificateStructures.

     TBSCertificate ::= SEQUENCE {
          version          [ 0 ]  Version DEFAULT v1(0),
          serialNumber            CertificateSerialNumber,
          signature               AlgorithmIdentifier,
          issuer                  Name,
          validity                Validity,
          subject                 Name,
          subjectPublicKeyInfo    SubjectPublicKeyInfo,
          issuerUniqueID    [ 1 ] IMPLICIT UniqueIdentifier OPTIONAL,
          subjectUniqueID   [ 2 ] IMPLICIT UniqueIdentifier OPTIONAL,
          extensions        [ 3 ] Extensions OPTIONAL
          }

Constructor Summary
`V3TBSCertificateGenerator()`

Method Summary
`TBSCertificateStructure` | `generateTBSCertificate()`
`void` | `setEndDate(DERUTCTime endDate)`
`void` | `setEndDate(Time endDate)`
`void` | `setExtensions(X509Extensions extensions)`
`void` | `setIssuer(X509Name issuer)`
`void` | `setSerialNumber(DERInteger serialNumber)`
`void` | `setSignature(AlgorithmIdentifier signature)`
`void` | `setStartDate(DERUTCTime startDate)`
`void` | `setStartDate(Time startDate)`
`void` | `setSubject(X509Name subject)`
`void` | `setSubjectPublicKeyInfo(SubjectPublicKeyInfo pubKeyInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### V3TBSCertificateGenerator

    public V3TBSCertificateGenerator()

Method Detail

### setSerialNumber

    public void setSerialNumber(DERInteger serialNumber)

### setSignature

    public void setSignature(AlgorithmIdentifier signature)

### setIssuer

    public void setIssuer(X509Name issuer)

### setStartDate

    public void setStartDate(DERUTCTime startDate)

### setStartDate

    public void setStartDate(Time startDate)

### setEndDate

    public void setEndDate(DERUTCTime endDate)

### setEndDate

    public void setEndDate(Time endDate)

### setSubject

    public void setSubject(X509Name subject)

### setSubjectPublicKeyInfo

    public void setSubjectPublicKeyInfo(SubjectPublicKeyInfo pubKeyInfo)

### setExtensions

    public void setExtensions(X509Extensions extensions)

### generateTBSCertificate

    public TBSCertificateStructure generateTBSCertificate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD